## org.hibernate.criterion
Class ExistsSubqueryExpression

    java.lang.Object
      org.hibernate.criterion.SubqueryExpression
          org.hibernate.criterion.ExistsSubqueryExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class ExistsSubqueryExpression

extends SubqueryExpression

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` `ExistsSubqueryExpression(String quantifier, DetachedCriteria dc)`

Method Summary
`protected String` `toLeftSqlString(Criteria criteria, CriteriaQuery outerQuery)`

Methods inherited from class org.hibernate.criterion.SubqueryExpression
`getTypedValues, getTypes, toSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistsSubqueryExpression

    protected ExistsSubqueryExpression(String quantifier,
                                       DetachedCriteria dc)

Method Detail

### toLeftSqlString

    protected String toLeftSqlString(Criteria criteria,
                                     CriteriaQuery outerQuery)

  Specified by:
    `toLeftSqlString` in class `SubqueryExpression`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.